import type http from "@ohos:net.http";
import type { RequestBody } from '../requestbody/RequestBody';
/**
 * @ProjectName : HarmonyUtilSdk
 * @FileName : Chain
 * @Author : yic
 * @Time : 2024/6/20 14:59
 * @Description : 文件描述
 */
export class Chain {
    requestBody: RequestBody;
    constructor(requestBody: RequestBody) {
        this.requestBody = requestBody;
    }
    process(chain: Chain): Promise<http.HttpResponse> {
        return chain.requestBody.execute(chain);
    }
}
